---

# JSON Schema definition for `artifact` prepare plugin

$id: /schemas/prepare/artifact
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - artifact

  provide:
    $ref: "/schemas/common#/definitions/one_or_more_strings"

  default-repository-priority:
    type: integer

  verify:
    type: boolean

required:
  - how
